import { Build, Learn, Label } from "./nn.ts";
import { default as Clean } from "./iris.js";

const [ inputs, labels ] = Clean();


const layers = Build(4, 100, 3);
const errors = Learn(inputs, layers, labels, 400, 0.1);
const output = Label(inputs, layers);

let Two = inCloud =>
{
    inCloud.forEach(row=>
    {
        row.forEach((cell, i)=>
        {
            row[i] = (Math.round(cell * 100) / 100).toFixed(2);
        });
    });
    return inCloud;
}

console.log(Two(output));
